For the complete documentation index, see llms.txt. This page is also available as Markdown.

EmploymentRelationTypes

Operations for EmploymentRelationTypes

List employmentRelationTypes

get

List employmentRelationTypes

Authorizations
Query parameters
limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (1-1000)

Default: 10
cursorstringOptional

Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.

Responses
200

Successful response

application/json
get/employmentRelationTypes
GET /employmentRelationTypes HTTP/1.1
Accept: */*
{
  "data": [
    {
      "code": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": {
        "en_us": "English text",
        "nl_nl": "Nederlandse tekst"
      },
      "repositoryID": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "nextCursor": "text",
    "total": 1
  }
}

Get EmploymentRelationType

get

Get a single EmploymentRelationType by ID

Authorizations
Path parameters
idstringRequired

EmploymentRelationType ID

Responses
200

Successful response

application/json
codestringRequired
createdAtstring · date-timeRequired
idstring · uuidRequired
lastModifiedAtstring · date-timeRequired
repositoryIDstring · uuidRequired
get/employmentRelationTypes/{id}
GET /employmentRelationTypes/{id} HTTP/1.1
Accept: */*
{
  "code": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": {
    "en_us": "English text",
    "nl_nl": "Nederlandse tekst"
  },
  "repositoryID": "123e4567-e89b-12d3-a456-426614174000"
}

List EmploymentRelationType creation proposals

get

List all createEmploymentRelationTypes proposals. These are proposed changes to create new EmploymentRelationType records that may be automatically approved or require manual approval depending on system configuration.

Authorizations
Query parameters
limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (1-1000)

Default: 10
cursorstringOptional

Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.

Responses
200

Successful response

application/json
get/createEmploymentRelationTypes
GET /createEmploymentRelationTypes HTTP/1.1
Accept: */*
{
  "data": [
    {
      "code": "text",
      "isProposalExecutionFailed": true,
      "isProposalResolved": false,
      "name": {
        "en_us": "English text",
        "nl_nl": "Nederlandse tekst"
      },
      "proposalExecutionErrorText": "text",
      "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
      "requestID": "123e4567-e89b-12d3-a456-426614174000",
      "subjectID": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "nextCursor": "text",
    "total": 1
  }
}

Propose creation of EmploymentRelationTypes

post

Create new proposals to add EmploymentRelationType records. The proposals may be automatically approved or require manual approval depending on system configuration. You can submit multiple proposals in a single request.

Authorizations
Bodyobject · CreateCreateEmploymentRelationTypeProposalRequest[]
codestringRequired
repositoryIDstring · uuidRequired
Responses
201

Created successfully

application/json
codestringRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
subjectIDstring · uuidRead-onlyRequired
post/createEmploymentRelationTypes
POST /createEmploymentRelationTypes HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 131

[
  {
    "code": "text",
    "name": {
      "en_us": "English text",
      "nl_nl": "Nederlandse tekst"
    },
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000"
  }
]
[
  {
    "code": "text",
    "isProposalExecutionFailed": true,
    "isProposalResolved": false,
    "name": {
      "en_us": "English text",
      "nl_nl": "Nederlandse tekst"
    },
    "proposalExecutionErrorText": "text",
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
    "requestID": "123e4567-e89b-12d3-a456-426614174000",
    "subjectID": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Get EmploymentRelationType creation proposal

get

Get details of a specific EmploymentRelationType creation proposal by ID

Authorizations
Path parameters
idstringRequired

CreateEmploymentRelationTypeProposal ID

Responses
200

Successful response

application/json
codestringRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
subjectIDstring · uuidRead-onlyRequired
get/createEmploymentRelationTypes/{id}
GET /createEmploymentRelationTypes/{id} HTTP/1.1
Accept: */*
{
  "code": "text",
  "isProposalExecutionFailed": true,
  "isProposalResolved": false,
  "name": {
    "en_us": "English text",
    "nl_nl": "Nederlandse tekst"
  },
  "proposalExecutionErrorText": "text",
  "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
  "requestID": "123e4567-e89b-12d3-a456-426614174000",
  "subjectID": "123e4567-e89b-12d3-a456-426614174000"
}

List EmploymentRelationType deletion proposals

get

List all deleteEmploymentRelationTypes proposals. These are proposed changes to delete EmploymentRelationType records that may be automatically approved or require manual approval depending on system configuration.

Authorizations
Query parameters
limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (1-1000)

Default: 10
cursorstringOptional

Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.

Responses
200

Successful response

application/json
get/deleteEmploymentRelationTypes
GET /deleteEmploymentRelationTypes HTTP/1.1
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "isProposalExecutionFailed": true,
      "isProposalResolved": false,
      "proposalExecutionErrorText": "text",
      "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
      "requestID": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "nextCursor": "text",
    "total": 1
  }
}

Propose deletion of EmploymentRelationTypes

post

Create new proposals to delete EmploymentRelationType records. The proposals may be automatically approved or require manual approval depending on system configuration. You can submit multiple proposals in a single request.

Authorizations
Bodyobject · CreateDeleteEmploymentRelationTypeProposalRequest[]
idstring · uuidRequired
repositoryIDstring · uuidRequired
Responses
201

Created successfully

application/json
idstring · uuidRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
post/deleteEmploymentRelationTypes
POST /deleteEmploymentRelationTypes HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 101

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000"
  }
]
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "isProposalExecutionFailed": true,
    "isProposalResolved": false,
    "proposalExecutionErrorText": "text",
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
    "requestID": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Get EmploymentRelationType deletion proposal

get

Get details of a specific EmploymentRelationType deletion proposal by ID

Authorizations
Path parameters
idstringRequired

DeleteEmploymentRelationTypeProposal ID

Responses
200

Successful response

application/json
idstring · uuidRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
get/deleteEmploymentRelationTypes/{id}
GET /deleteEmploymentRelationTypes/{id} HTTP/1.1
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isProposalExecutionFailed": true,
  "isProposalResolved": false,
  "proposalExecutionErrorText": "text",
  "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
  "requestID": "123e4567-e89b-12d3-a456-426614174000"
}

List EmploymentRelationType update proposals

get

List all updateEmploymentRelationTypes proposals. These are proposed changes to update existing EmploymentRelationType records that may be automatically approved or require manual approval depending on system configuration.

Authorizations
Query parameters
limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (1-1000)

Default: 10
cursorstringOptional

Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.

Responses
200

Successful response

application/json
get/updateEmploymentRelationTypes
GET /updateEmploymentRelationTypes HTTP/1.1
Accept: */*
{
  "data": [
    {
      "code": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "isProposalExecutionFailed": true,
      "isProposalResolved": false,
      "name": {
        "en_us": "English text",
        "nl_nl": "Nederlandse tekst"
      },
      "proposalExecutionErrorText": "text",
      "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
      "requestID": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "nextCursor": "text",
    "total": 1
  }
}

Propose update of EmploymentRelationTypes

post

Create new proposals to update EmploymentRelationType records. All fields are optional - omitted fields will not be changed. Only include fields you want to update. Setting a field to null will clear its value (where applicable). The proposals may be automatically approved or require manual approval depending on system configuration. You can submit multiple proposals in a single request.

Authorizations
Bodyobject · CreateUpdateEmploymentRelationTypeProposalRequest[]
codestringOptional

Omit this field to keep current value

idstring · uuidRequired
repositoryIDstring · uuidRequired
Responses
201

Created successfully

application/json
codestringOptional
idstring · uuidRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
post/updateEmploymentRelationTypes
POST /updateEmploymentRelationTypes HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 175

[
  {
    "code": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": {
      "en_us": "English text",
      "nl_nl": "Nederlandse tekst"
    },
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000"
  }
]
[
  {
    "code": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "isProposalExecutionFailed": true,
    "isProposalResolved": false,
    "name": {
      "en_us": "English text",
      "nl_nl": "Nederlandse tekst"
    },
    "proposalExecutionErrorText": "text",
    "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
    "requestID": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Get EmploymentRelationType update proposal

get

Get details of a specific EmploymentRelationType update proposal by ID

Authorizations
Path parameters
idstringRequired

UpdateEmploymentRelationTypeProposal ID

Responses
200

Successful response

application/json
codestringOptional
idstring · uuidRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample: false
proposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
get/updateEmploymentRelationTypes/{id}
GET /updateEmploymentRelationTypes/{id} HTTP/1.1
Accept: */*
{
  "code": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isProposalExecutionFailed": true,
  "isProposalResolved": false,
  "name": {
    "en_us": "English text",
    "nl_nl": "Nederlandse tekst"
  },
  "proposalExecutionErrorText": "text",
  "repositoryID": "123e4567-e89b-12d3-a456-426614174000",
  "requestID": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated

Was this helpful?